Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlDate.Factory

    java.lang.Object
      org.apache.xmlbeans.XmlDate.Factory

Enclosing interface:
  XmlDate

    public static final class XmlDate.Factory

extends java.lang.Object

A class with methods for creating instances of `XmlDate`.

Method Summary
`static XmlDate` | `newInstance()` Creates an empty instance of `XmlDate`
`static XmlDate` | `newInstance(XmlOptions options)` Creates an empty instance of `XmlDate`
`static XMLInputStream` | `newValidatingXMLInputStream(XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XMLInputStream` | `newValidatingXMLInputStream(XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDate` | `newValue(java.lang.Object obj)` Creates an immutable `XmlDate` value
`static XmlDate` | `parse(java.io.File f)` Parses a `XmlDate` fragment from a File.
`static XmlDate` | `parse(java.io.File f, XmlOptions options)` Parses a `XmlDate` fragment from a File.
`static XmlDate` | `parse(java.io.InputStream is)` Parses a `XmlDate` fragment from an InputStream.
`static XmlDate` | `parse(java.io.InputStream is, XmlOptions options)` Parses a `XmlDate` fragment from an InputStream.
`static XmlDate` | `parse(Node node)` Parses a `XmlDate` fragment from a DOM Node.
`static XmlDate` | `parse(Node node, XmlOptions options)` Parses a `XmlDate` fragment from a DOM Node.
`static XmlDate` | `parse(java.io.Reader r)` Parses a `XmlDate` fragment from a Reader.
`static XmlDate` | `parse(java.io.Reader r, XmlOptions options)` Parses a `XmlDate` fragment from a Reader.
`static XmlDate` | `parse(java.lang.String s)` Parses a `XmlDate` fragment from a String.
`static XmlDate` | `parse(java.lang.String s, XmlOptions options)` Parses a `XmlDate` fragment from a String.
`static XmlDate` | `parse(java.net.URL u)` Parses a `XmlDate` fragment from a URL.
`static XmlDate` | `parse(java.net.URL u, XmlOptions options)` Parses a `XmlDate` fragment from a URL.
`static XmlDate` | `parse(XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDate` | `parse(XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlDate` | `parse(javax.xml.stream.XMLStreamReader xsr)` Parses a `XmlDate` fragment from an XMLStreamReader.
`static XmlDate` | `parse(javax.xml.stream.XMLStreamReader xsr, XmlOptions options)` Parses a `XmlDate` fragment from an XMLStreamReader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static XmlDate newInstance()

  Creates an empty instance of `XmlDate`

### newInstance

    public static XmlDate newInstance(XmlOptions options)

  Creates an empty instance of `XmlDate`

### newValue

    public static XmlDate newValue(java.lang.Object obj)

  Creates an immutable `XmlDate` value

### parse

    public static XmlDate parse(java.lang.String s)
                         throws XmlException

  Parses a `XmlDate` fragment from a String. For example: "`<xml-fragment>2003-06-14</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlDate parse(java.lang.String s,
                                XmlOptions options)
                         throws XmlException

  Parses a `XmlDate` fragment from a String. For example: "`<xml-fragment>2003-06-14</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlDate parse(java.io.File f)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a File.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.io.File f,
                                XmlOptions options)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a File.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.net.URL u)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a URL.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.net.URL u,
                                XmlOptions options)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a URL.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.io.InputStream is)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from an InputStream.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.io.InputStream is,
                                XmlOptions options)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from an InputStream.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.io.Reader r)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a Reader.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(java.io.Reader r,
                                XmlOptions options)
                         throws XmlException,
                                java.io.IOException

  Parses a `XmlDate` fragment from a Reader.

  Throws:
    `XmlException`
    `java.io.IOException`

### parse

    public static XmlDate parse(Node node)
                         throws XmlException

  Parses a `XmlDate` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlDate parse(Node node,
                                XmlOptions options)
                         throws XmlException

  Parses a `XmlDate` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlDate parse(XMLInputStream xis)
                         throws XmlException,
                                XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlDate` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `XMLStreamException`

### parse

    public static XmlDate parse(XMLInputStream xis,
                                XmlOptions options)
                         throws XmlException,
                                XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlDate` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `XMLStreamException`

### parse

    public static XmlDate parse(javax.xml.stream.XMLStreamReader xsr)
                         throws XmlException

  Parses a `XmlDate` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### parse

    public static XmlDate parse(javax.xml.stream.XMLStreamReader xsr,
                                XmlOptions options)
                         throws XmlException

  Parses a `XmlDate` fragment from an XMLStreamReader.

  Throws:
    `XmlException`

### newValidatingXMLInputStream

    public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xis)
                                                      throws XmlException,
                                                             XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `XMLStreamException`

### newValidatingXMLInputStream

    public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xis,
                                                             XmlOptions options)
                                                      throws XmlException,
                                                             XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD